Sys.readlink {base} | R Documentation

## Read File Symbolic Links

### Description

Find out if a file path is a symbolic link, and if so what it is linked to, via the system call `readlink`.

Symbolic links are a POSIX concept, not implemented on Windows but for most filesystems on Unix-alikes.

### Usage

    Sys.readlink(paths)

### Arguments

`paths` | character vector of file paths. Tilde expansion is done: see `path.expand`.

### Value

A character vector of the same length as `paths`. The entries are the path of the file linked to, `""` if the path is not a symbolic link, and `NA` if there is an error (e.g., the path does not exist).

On platforms without the `readlink` system call, all elements are `""`.

### See Also

`file.symlink` for the creation of symbolic links (and their Windows analogues), `file.info`

[Package base version 3.4.3 Index]